## Settings file was created by plugin LewdCrest v0.12
## Plugin GUID: picolet21.koikatsu.LewdCrest

[1. LewdCrest]

## When a girl joins the koikatsu club, she has a lewd crest on her body.
## The lewd crest shines according to the girl's desires.
# Setting type: Boolean
# Default value: true
Enable a lewd crest = true

## Forces the player to have a lewd coat.
# Setting type: Boolean
# Default value: false
Enable a lewd crest for player = false

## Forces a lewd coat on experienced girls.
# Setting type: Boolean
# Default value: false
Enable experienced girls = false

## When enabled, it will also display a lewd coat on the face.
# Setting type: Boolean
# Default value: false
The lewd crest on the face = false

## When enabled, the lewd crest level changes depending on the degree of excitement during H.
# Setting type: Boolean
# Default value: true
The lewd crest changes in H = true

[2. creampie]

## Displays the cut-in effect of the piston cross section during insertion.
# Setting type: DefaultConfigSettings_EN
# Default value: LeawCrest
# Acceptable values: None, LeawCrest, Always
Cut-in of piston cross section = LeawCrest

## A simple cross-section animation is played during cum shot ejaculation.
# Setting type: DefaultConfigSettings_EN
# Default value: LeawCrest
# Acceptable values: None, LeawCrest, Always
Creampie cross-section cut-in = None

## A girl with a lewd coat inflates the belly with semen when it is made vaginal cum shot.
# Setting type: DefaultConfigSettings_EN
# Default value: LeawCrest
# Acceptable values: None, LeawCrest, Always
Belly swollen with semen = LeawCrest

## Percentage of fullness in the belly after one ejaculation
# Setting type: Int32
# Default value: 10
# Acceptable value range: From 0 to 100
One belly increment = 10

## Limit of belly increase
# Setting type: Int32
# Default value: 60
# Acceptable value range: From 0 to 100
Limit of belly increase = 60

## Specifies when semen is excreted and the belly is reset.
# Setting type: DefaultExcretionTiming_EN
# Default value: PeriodChange
# Acceptable values: PeriodChange, AfterH, PulledOut
Timing of semen excretion = PeriodChange

## If the girl reaches the maximum of belly on a dangerous day, force the girl to fertilize. At this time, the cut-in effect is displayed.
##  However, 'Belly swollen with semen' must be effective.
# Setting type: Boolean
# Default value: true
Forced fertilization = true

[3. Free H]

## When free H, the girls are forced to have a lewd crest.
# Setting type: Boolean
# Default value: true
(Free H) Enable a lewd crest for girls = true

## When free H, the player is forced to have a lewd emblem.
# Setting type: Boolean
# Default value: false
(Free H) Enable a lewd crest for player = false

## When free H, displays the cut-in effect of the piston cross section during insertion.
# Setting type: Boolean
# Default value: true
(Free H) Cut-in of piston cross section = true

## When free H, a simple cross-section animation is played during cum shot ejaculation.
# Setting type: Boolean
# Default value: true
(Free H) Play Creampie Section Animation = true

## When free H, a girl inflates the belly with semen when it is made vaginal cum shot.
# Setting type: Boolean
# Default value: true
(Free H) Belly swollen with semen = true

## If the girl reaches the maximum of belly on a dangerous day, the cut-in effect of fertilization is displayed.
##  However, '(Free H) Belly swollen with semen' must be effective.
# Setting type: Boolean
# Default value: true
(Free H) Forced fertilization = true

[4. Cut-in setting]

# Setting type: Int32
# Default value: -85
# Acceptable value range: From -100 to 100
X position of piston cross-sectional piston (%) = -85

# Setting type: Int32
# Default value: -50
# Acceptable value range: From -100 to 100
Y position of piston cross-sectional piston (%) = -50

# Setting type: Int32
# Default value: 25
# Acceptable value range: From 1 to 150
Expansion ratio of piston cross-sectional piston (%) = 25

# Setting type: CutInMode
# Default value: Back2Front
# Acceptable values: None, Right2Left, Left2Right, Top2Down, Down2Top, Back2Front, Front2Back
Types of creampie cross section = Back2Front

# Setting type: Int32
# Default value: 0
# Acceptable value range: From -100 to 100
X position of creampie cross section (%) = 0

# Setting type: Int32
# Default value: 0
# Acceptable value range: From -100 to 100
Y position of creampie cross section (%) = 0

# Setting type: Int32
# Default value: 50
# Acceptable value range: From 1 to 150
Expansion ratio of creampie cross section (%) = 50

# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 10
Wait seconds for creampie cross section cut-in = 0

# Setting type: Single
# Default value: 3
# Acceptable value range: From 0 to 10
Duration of creampie cross section cut-in = 3

# Setting type: Int32
# Default value: 10
# Acceptable value range: From 1 to 60
Frame rate of creampie cross section cut-in = 10

# Setting type: CutInMode
# Default value: Left2Right
# Acceptable values: None, Right2Left, Left2Right, Top2Down, Down2Top, Back2Front, Front2Back
Types of forced fertilization cut-ins = Left2Right

# Setting type: Int32
# Default value: 0
# Acceptable value range: From -100 to 100
X position of forced fertilization cut-in (%) = 0

# Setting type: Int32
# Default value: 0
# Acceptable value range: From -100 to 100
Y position of forced fertilization cut-in (%) = 0

# Setting type: Int32
# Default value: 50
# Acceptable value range: From 1 to 150
Expansion ratio of forced fertilization cut-in (%) = 50

# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Wait seconds for forced fertilization cut-in = 1

# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Duration of forced fertilization cut-in = 1

# Setting type: Int32
# Default value: 10
# Acceptable value range: From 1 to 60
Frame rate of forced fertilization cut-in = 10

[5. options]

## Sets the textures format retained internally. bc7: Beautiful, dxt5: Memory saving
# Setting type: DefaultTextureFormat
# Default value: bc7
# Acceptable values: dxt5, bc7
Internal textures format = bc7

## When you press the key, the lewd crest is engraved on the H partner girl.
# Setting type: KeyboardShortcut
# Default value: E + LeftAlt
Forced a lewd crest key = E + LeftAlt

## When the key is pressed, the lewd crest girl becomes greedy and demands H from the player.
# Setting type: KeyboardShortcut
# Default value: E + LeftControl
Lust key with a lewd crest = E + LeftControl

## Press the key to reload the texture.
# Setting type: KeyboardShortcut
# Default value: E + LeftShift
Texture reload key = E + LeftShift

## Reset the semen in the belly.
# Setting type: KeyboardShortcut
# Default value: E + RightControl
Belly reset key = E + RightControl

## Use a texture overlay instead of a creampie-section cut-in. Depending on the environment, FPS will drop significantly. However, enabling'Resource Unload Optimizations' will improve. 
## Note: Do not change during H.
# Setting type: Boolean
# Default value: false
Vaginal cross section overlay (Ultra high load) = false

## Use a texture overlay instead of a creampie-section cut-in. Glitches may occur in some environments. However, enabling'Resource Unload Optimizations' will improve. 
## Note: Do not change during H.
# Setting type: Boolean
# Default value: false
Creampie overlay (high load) = false

## Specify the folder where the texture is saved.
# Setting type: String
# Default value: UserData\Overlays\LewdCrest
Texture folder = UserData\Overlays\LewdCrest

